<?php
namespace FM\Controller;

use FM\Controller\FMCrud;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use FM\Service\ServicosService;
use FM\Traits\TResponse;

class ServicosController extends FMCrud {

    use TResponse;

    protected $ServicosService;

    public function __construct($crudService, $environment, ServicosService $ServicosService) {
            parent::__construct($crudService, $environment);
            $this->ServicosService = $ServicosService;
    }
    public function getInformacoesServico($request,$response) { 
        try{
            $data = $this->ServicosService->getInformacoesServico();
            $this->sendResponse($data, 200);
        }
       catch (\Exception $ex)
       {
            $this->sendResponse(['error' => $ex->getMessage(), 'code'=>$ex ->getCode()], 500);
       }
    }
    public function teste($request,$response) {
        debugApi(["teste"]);
    }
}